import type { _NSError } from "./NSError.js";
import type { _NSObject } from "./NSObject.js";
import type { _NSXPCConnection } from "./NSXPCConnection.js";
import type { NSFileProviderServiceName } from "./NSFileProviderServiceName.js";
export declare class _NSFileProviderService extends _NSObject {
    static alloc(): _NSFileProviderService;
    static new(): _NSFileProviderService;
    init(): _NSFileProviderService;
    getFileProviderConnectionWithCompletionHandler$(completionHandler: ((connection: _NSXPCConnection, error: _NSError) => void) | null): void;
    name(): NSFileProviderServiceName;
}
